Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface TableColumnModelListener

All Known Implementing Classes:
  JTable, JTable.AccessibleJTable, JTableHeader

public abstract interface TableColumnModelListener
extends java.util.EventListener

TableColumnModelListener defines the interface for an object that listens to changes in a TableColumnModel.

See Also:
  `TableColumnModelEvent`

Method Summary
`void` | `columnAdded(TableColumnModelEvent e)` Tells listeners that a column was added to the model.
`void` | `columnMarginChanged(ChangeEvent e)` Tells listeners that a column was moved due to a margin change.
`void` | `columnMoved(TableColumnModelEvent e)` Tells listeners that a column was repositioned.
`void` | `columnRemoved(TableColumnModelEvent e)` Tells listeners that a column was removed from the model.
`void` | `columnSelectionChanged(ListSelectionEvent e)` Tells listeners that the selection model of the TableColumnModel changed.

Method Detail

### columnAdded

    public void columnAdded(TableColumnModelEvent e)

  Tells listeners that a column was added to the model.

### columnRemoved

    public void columnRemoved(TableColumnModelEvent e)

  Tells listeners that a column was removed from the model.

### columnMoved

    public void columnMoved(TableColumnModelEvent e)

  Tells listeners that a column was repositioned.

### columnMarginChanged

    public void columnMarginChanged(ChangeEvent e)

  Tells listeners that a column was moved due to a margin change.

### columnSelectionChanged

    public void columnSelectionChanged(ListSelectionEvent e)

  Tells listeners that the selection model of the TableColumnModel changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.